NETSTART(8)

NAME
netstart - network startup script

SYNOPSIS
sh /etc/netstart [-n] [interface ...]

DESCRIPTION
netstart is a sh(1) script invoked by rc(8) during an automatic reboot and after single-user mode is exited; it performs network initialization.

netstart can also be used to start newly created interfaces. Its behaviour is controlled to some extent by variables defined in rc.conf(8).

During the system boot, netstart is executed. netstart performs the following operations, in the sequence given:

•   Configure the loopback interface.
•   Configure all physical interfaces.
•   Configure non-physical interfaces that can provide the default gateway, such as aggr(4), trunk(4), svlan(4), vlan(4), carp(4), and pppoe(4).
•   Initialize the routing table and set up the default routes.
•   Configure tunnel interfaces that require a working network to reach the other end of the tunnel, such as tun(4), tap(4), gif(4), etherip(4), gre(4), egre(4), pflow(4), and wg(4).

After the system is completely initialized, it is possible to start newly created interfaces or apply configuration from hostname.if(5) files to an existing interfaces.

The options are as follows:

-n  Reports the steps that would be taken, without actually configuring anything.

SEE ALSO
multicast(4), defaultdomain(5), hostname.if(5), mygate(5), ifconfig(8), rc(8), rc.conf(8)

HISTORY
The netstart command first appeared in 4.0BSD.